import { Compiler, CompileResult } from "./compiler.ts";

export async function compileWithDebug(path: string): Promise<CompileResult> {
    const { program, fnNames } = await new Compiler(path).compile();
    return { program, fnNames };
}
